Results 1 to 9 of 9

Thread: NE-Installation under Ubuntu 6: are all required packages automatically installed?

  1. #1
    Join Date
    Sep 2006
    Posts
    54
    Rep Power
    9

    Default NE-Installation under Ubuntu 6: are all required packages automatically installed?

    Hello,

    we intend to install Zimbra NE under Ubuntu 6.06.1 LTS, even we don't
    know Ubuntu yet. Because we do have Debian knowledge, RedHat and SUSE
    is not an option for us.


    Questions:
    What are the Ubuntu prerequisites in order to be able to install Zimbra NetworkEdition?
    Or does the "NetworkEdition Installer" automatically install all required software?


    Thank's in advance for your help!

    Martin

  2. #2
    Join Date
    Sep 2007
    Posts
    30
    Rep Power
    8

    Default

    Hi, Martin.

    When I install it over Ubuntu 6.06, i always make this steps:
    1) edit /etc/apt/sources.list and remove (comment) CDROM source
    2) sudo apt-get update
    3) Install prerequisites with:
    sudo aptitude install openssh-server ca-certificates curl fetchmail gcc-3.3-base gettext libcurl3 libexpat1 libgmp3c2 libidn11 libpcre3 libstdc++5
    libxml2 openssl perl perl-doc perl-modules sgml-base xml-core

    And now, install Zimbra.

    I even have a "zcs_preinstall.sh" script, inside my "zimbra_setup" directory from a CD with all Zimbra packages, so I can have a "portable" installation media.

    Code:
    #!/bin/bash
    
    echo "ZCS pre-installation"
    
    echo " - apt-get backup"
    mv /etc/apt/sources.list /etc/apt/sources.list.orig
    
    echo " - apt-get modify"
    cat /etc/apt/sources.list.orig | grep -vi cdrom > /etc/apt/sources.list
    
    echo " - apt-get update"
    apt-get update > /dev/null
    
    echo " - zcs prerequisites"
    aptitude install openssh-server ca-certificates curl fetchmail gcc-3.3-base gettext libcurl3 libexpat1 libgmp3c2 libidn11 libpcre3 libstdc++5 libxml2 openssl perl perl-doc perl-modules sgml-base xml-core
    
    echo " - zcs installation"
    cp -r ../zimbra_setup /root/
    
    cd /root/zimbra_setup
    chmod +x zcs_postinstall.sh
    
    cd /root/zimbra_setup/zcs
    chmod +x install.sh
    
    ./install.sh
    cd ..
    Hope this helps.

  3. #3
    Join Date
    Sep 2006
    Posts
    54
    Rep Power
    9

    Default

    Thank's a lot egrueda for the helpful informations. I am soon going to try
    to install them :-)

    Martin

  4. #4
    Join Date
    Sep 2007
    Posts
    30
    Rep Power
    8

    Default

    if it works and there's an open source version for Ubuntu, and Ubuntu is a well known commercial distro, Why do you say "it's not supported"?
    Why don't you say "We won't support it" or "we can't support it" or even "we don't want to support it"?

    By the way, I found this:
    Operating System Network Edition
    • Red Hat® Enterprise Linux®, AS/ES version 4. (32-bit, 64-bit)
    • Mac OS® X 10.4.7
    • SUSE ES 9 (32-bit) and Open SUSE 10
    • Ubuntu 6.06 (as of 4.5.4)
    • rPath VMware (beta)
    http://files.zimbra.com/website/docs...quirements.pdf

  5. #5
    Join Date
    Sep 2007
    Posts
    30
    Rep Power
    8

    Default

    Oh, I see, you were wrong, Martin was talking about Ubuntu, I was talking about Ubuntu, you were the only one talking about Debian

    You didn't get Martin's message, and I didn't get yours. Same mistake here.

  6. #6
    Join Date
    Sep 2007
    Posts
    30
    Rep Power
    8

    Default

    ok, you say to-mah-to
    You understood perfectly martin's first message. You did't make a normal mistake, and you'll never asume it
    Martin was not using Debian, but Ubuntu. You understood debian. In that moment, the post was already answered, so you made an off-topic.
    Of course, if I'm wrong and you're not, well, it's ok for me, so let's end it on this.
    I'm sorry if you got me wrong, was not necessary to be so rude.
    Cheers.

  7. #7
    Join Date
    Jan 2008
    Location
    Austin, TX
    Posts
    17
    Rep Power
    7

    Default

    When I read the original message what I read is that...

    He intends to install it on Ubuntu 6.06.1 LTS.

    He mentions he has Debian experience as Ubuntu is a Debian based distribution.

    I think the first message in the thread is fairly clear.

  8. #8
    Join Date
    Dec 2007
    Location
    California
    Posts
    105
    Rep Power
    7

    Default

    Make sure curl is installed as well:

    http://www.zimbra.com/forums/install...html#post76168

  9. #9
    Join Date
    Sep 2006
    Posts
    54
    Rep Power
    9

    Default

    Thank's a lot to all of you for the help!

    We are wondering what could be the reason that the required sw-packages
    are not automatically installed during(before) the Zimbra NE installation on
    Ubuntu 6.06.1 LTS ...


    Martin

Similar Threads

  1. Installation Issues - SLES 10_Zimbra 5.0 Beta 3
    By rhartman in forum Installation
    Replies: 3
    Last Post: 01-14-2008, 06:18 AM
  2. Replies: 4
    Last Post: 11-09-2007, 01:10 PM
  3. Problem with Ubuntu installation
    By Max Ma in forum Installation
    Replies: 3
    Last Post: 04-13-2007, 10:25 AM
  4. Replies: 5
    Last Post: 03-01-2007, 02:20 AM
  5. ZIMBRA!!!!! Error zmcontrol status and others
    By orison in forum Installation
    Replies: 8
    Last Post: 02-03-2007, 06:52 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •